import React from 'react'
import { enableScreens } from 'react-native-screens'
import { Provider } from 'react-redux'

import { PersistGate } from 'redux-persist/integration/react'

import { RoutesConfig } from '~/routes/RoutesConfig'
import StoreConfig from '~/store/StoreConfig'

enableScreens()
const { store, persistor } = StoreConfig()

export const App = () => (
  <Provider store={store}>
    <PersistGate loading={null} persistor={persistor}>
      <RoutesConfig />
    </PersistGate>
  </Provider>
)
