import { translate } from '~/lib/i18n/i18n'

jest.mock('react-native-localize', () => ({
  getLocales: () => [
    {
      countryCode: 'PT',
      languageTag: 'pt-BR',
      languageCode: 'pt',
      isRTL: false,
    },
    {
      countryCode: 'US',
      languageTag: 'en-US',
      languageCode: 'en',
      isRTL: false,
    },
    {
      countryCode: 'ES',
      languageTag: 'es',
      languageCode: 'es',
      isRTL: false,
    },
  ],
}))

describe('i18n translate lib', () => {
  it('should return translation for single scope', () => {
    expect(translate('invoice')).toBe('Fatura')
  })

  it('should return missing message translation for valid scope with null', () => {
    const actual = translate('null_key')
    const expected = '[missing "pt-BR.null_key" translation]'
    expect(actual).toEqual(expected)
  })
})
