import { EventMapBase } from '@react-navigation/core'
import {
  RouteConfig,
  StackNavigationState,
  ParamListBase,
} from '@react-navigation/native'
import {
  StackNavigationOptions,
  StackScreenProps,
} from '@react-navigation/stack'

import { IInvoiceScreenParams } from '~/screens/Invoice/InvoiceScreen.types'

export type TRoutes = {
  Invoice: IInvoiceScreenParams
  Modal: undefined
}

export type TRouteExtendedNavigationOptions = StackNavigationOptions & {}

export type TRouteConfig = RouteConfig<
  TRoutes,
  keyof TRoutes,
  StackNavigationState<ParamListBase>,
  TRouteExtendedNavigationOptions,
  EventMapBase
>

export type TStackScreenProps<T extends keyof TRoutes> = StackScreenProps<
  TRoutes,
  T
>
